Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Wed 16 Apr 2014, 03:57
All times are UTC - 4
 Forum index » Advanced Topics » Hardware » Printers
Epson XP-400 Printer Driver Needed [SOLVED]
Post new topic   Reply to topic View previous topic :: View next topic
Page 1 of 1 [5 Posts]  
Author Message
sazeile

Joined: 05 Jan 2006
Posts: 43

PostPosted: Tue 26 Feb 2013, 21:39    Post subject:  Epson XP-400 Printer Driver Needed [SOLVED]
Subject description: Cannot find Epson XP-400 printer driver in CUPS
 

I am using Puppy 4.3.1 (yes, it's old, but I love it) and need a driver for a Epson XP-400 printer.

I don't see it listed in CUPS.

Epson provides Linux drivers in ".deb" files and ".rpm" files but I don't know how to use those to install the driver into Puppy 4.3.1

Thanks,

Steve

Last edited by sazeile on Thu 28 Feb 2013, 16:31; edited 1 time in total
Back to top
View user's profile Send private message 
rcrsn51


Joined: 05 Sep 2006
Posts: 8544
Location: Stratford, Ontario

PostPosted: Tue 26 Feb 2013, 22:07    Post subject:  

Did you read "How to Install Your Printer/Scanner in Puppy" at the top of this thread? It contains a link to an Epson driver package that supports your XP-400.

I have tested it in Puppy 431 and it looks OK.

Please report back.
Back to top
View user's profile Send private message 
sazeile

Joined: 05 Jan 2006
Posts: 43

PostPosted: Tue 26 Feb 2013, 22:28    Post subject:  

Thanks for the quick reply.

I installed this pet:

epson_inkjet_printer_escpr-1.1.2.pet

It created a new directory:

/usr/share/cups/model/Espon

that contains a bunch of drivers but I don't see any with "XP-400" in the name.

I tried CUPS again and it doesn't list the XP-400.

Thanks again,

Steve
Back to top
View user's profile Send private message 
rcrsn51


Joined: 05 Sep 2006
Posts: 8544
Location: Stratford, Ontario

PostPosted: Wed 27 Feb 2013, 00:33    Post subject:  

My mistake. For the XP series, you need the newer Epson package. This PET is too large to host on the forum. But if you go back to the Epson driver page, I have a provided an external link to it.
Back to top
View user's profile Send private message 
sazeile

Joined: 05 Jan 2006
Posts: 43

PostPosted: Wed 27 Feb 2013, 20:49    Post subject:  

Thanks!

That did it.

For others watching this thread, the URL to the newer Epson package .pet file is here:

http://www.datafilehost.com/download-326faf7d.html

Steve
Back to top
View user's profile Send private message 
Display posts from previous:   Sort by:   
Page 1 of 1 [5 Posts]  
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » Advanced Topics » Hardware » Printers
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.0383s ][ Queries: 12 (0.0059s) ][ GZIP on ]